ResourcePermission.Target (Apache Geode 1.13.3)
Date: 2021-06-22

org.apache.geode.security

## Enum ResourcePermission.Target

- java.lang.Object
- - java.lang.Enum<ResourcePermission.Target>
  - - org.apache.geode.security.ResourcePermission.Target

- All Implemented Interfaces:
    Serializable, Comparable<ResourcePermission.Target>
  Enclosing class:
    ResourcePermission

      public static enum ResourcePermission.Target
      extends Enum<ResourcePermission.Target>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `DEPLOY`
    `DISK`
    `GATEWAY`
    `QUERY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static ResourcePermission.Target` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourcePermission.Target[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ResourcePermission.Target ALL

    - #### DISK

          public static final ResourcePermission.Target DISK

    - #### GATEWAY

          public static final ResourcePermission.Target GATEWAY

    - #### QUERY

          public static final ResourcePermission.Target QUERY

    - #### DEPLOY

          public static final ResourcePermission.Target DEPLOY

  - ### Method Detail

    - #### values

          public static ResourcePermission.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourcePermission.Target c : ResourcePermission.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourcePermission.Target valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()